Subject: [AVT] Re: Question on timestamp setting when multiple clock rates

From: "Ingemar Johansson S \(LU/EAB\)" <[email-masked]>
Date: Sun, 9 Jul 2006 12:01:53 +0200

Hi

Not totally sure that it answers your question but AMR-WB+ (payload
format specified in RFC4352) supports the use of different timestamp
increments depending on the internal sampling rate in the codec. The
main point is simply to ensure that the timestamp incremenents are
integer valued regardless of the internal sample rate being used.
The purpose of this internal sample feature is among other things the
example that you highlight below. 

Regards
Ingemar

> Hi all,
> 
>       I am totally confused of how to set the timestamp if a 
> stream is negociated with some payload types of different 
> clock rates, I didn't find anywhere mention this or even 
> whether it's allowed. But in reality, if allowed we may use 
> different clock rates at different time or even the same time 
> based on bandwith, user requirement or so on.
>      In other words, how should i set the timestamp and 
> sequence number if i want to minimize the loss effect while 
> not consume too much bandwith by sending two packets with 
> different clock rates? Or when switching to another clock 
> rate due to any reason?
> 
>     Any of your help is greatly appreciated, thx in advance!!
> 
> Sincerely,
> zuobf

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt